// 样式模块
export default {
  namespaced: true,
  state: {
    buttonClickData: null,
    clickCount: 0,
    theme: 'light' // 全局主题：light或dark
  },
  getters: {
    buttonClickData: state => state.buttonClickData,
    clickCount: state => state.clickCount,
    theme: state => state.theme
  },
  mutations: {
    RECORD_BUTTON_CLICK(state, data) {
      state.buttonClickData = data;
      state.clickCount++;
    },
    TOGGLE_THEME(state) {
      state.theme = state.theme === 'light' ? 'dark' : 'light';
    }
  },
  actions: {
    recordButtonClick({ commit }, data) {
      commit('RECORD_BUTTON_CLICK', data);
    },
    toggleTheme({ commit }) {
      commit('TOGGLE_THEME');
    }
  }
} 